/*
Nome: Mario
Cognome: Montanari
Classe: 3AIN
Data: 16/04/2025

es01:
Scrivi un programma che generi un file (utilizzare il generatore di numeri
pseudocasuali) per la rappresentazione di un insieme di 90 numeri (<100
come nel gioco del lotto).
*/

#include <stdio.h>
#include <time.h>
#include <stdlib.h>

#define SIZE 90
#define MIN_VALUE 0
#define MAX_VALUE 99

void generaNumeri(FILE * file);

int main(void) {
	srand(time(NULL));
	
	FILE * file = fopen("file.bin", "wb");
	
	if (file != NULL) {
		generaNumeri(file);
		
		fclose(file);
	} else {
		perror("Error (source)");
	}
	
	return 0;
}

void generaNumeri(FILE * file) {
	int numeri[SIZE];
	
	for (int i = 0; i < SIZE; i++) {
		numeri[i] = rand() % (MAX_VALUE - MIN_VALUE + 1) + MIN_VALUE;
		fwrite(&numeri[i], sizeof(int), 1, file);
		printf("%d ", numeri[i]);
	}
	printf("\n");
}